List contract violations detected for a trace
curl --request GET \
--url https://api.decimal.ai/api/v1/traces/{trace_id}/violations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.decimal.ai/api/v1/traces/{trace_id}/violations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.decimal.ai/api/v1/traces/{trace_id}/violations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}contract-violations
List contract violations detected for a trace
Return all contract violations persisted for this trace.
Returns an empty list (not 404) for traces that exist but had no violations detected. Returns 404 only when the trace ID itself doesn’t exist or belongs to another org.
GET
/
api
/
v1
/
traces
/
{trace_id}
/
violations
List contract violations detected for a trace
Authorizations
Enter your API key (e.g. dai_sk_test_key_001)
Headers
Path Parameters
Cookies
Response
Successful Response
The response is of type Response List Trace Violations Api V1 Traces Trace Id Violations Get · object.
⌘I